# Class ExtractFingerprint

java.lang.Object
picard.cmdline.CommandLineProgram
picard.fingerprint.ExtractFingerprint

public class ExtractFingerprint extends CommandLineProgram
Program to create a fingerprint for the contaminating sample when the level of contamination is both known and uniform in the genome.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`CONTAMINATION`
`boolean`
`EXTRACT_CONTAMINATION`
`boolean`
`EXTRACT_NON_REPRESENTATIVES_TOO`
`File`
`HAPLOTYPE_MAP`
`String`
`INPUT`
`int`
`LOCUS_MAX_READS`
`File`
`OUTPUT`
`String`
`SAMPLE_ALIAS`
`boolean`
`TEST_INPUT_READABILITY`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`ExtractFingerprint()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.
`protected boolean`
`requiresReference()`

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="Input SAM/BAM/CRAM file.") public String INPUT

### OUTPUT

@Argument(shortName="O", doc="Output fingerprint file (VCF).") public File OUTPUT

### HAPLOTYPE_MAP

@Argument(shortName="H", doc="A file of haplotype information. The file lists a set of SNPs, optionally arranged in high-LD blocks, to be used for fingerprinting. See https://gatk.broadinstitute.org/hc/en-us/articles/360035531672-Haplotype-map-format for details.") public File HAPLOTYPE_MAP

### CONTAMINATION

@Argument(shortName="C", doc="A value of estimated contamination in the input. A non-zero value will cause the program to provide a better estimate of the fingerprint in the presence of contaminating reads", minValue=0.0, maxValue=1.0) public double CONTAMINATION

### SAMPLE_ALIAS

@Argument(doc="The sample alias to associate with the resulting fingerprint. When null, <SAMPLE> is extracted from the input file and \"<SAMPLE>\" is used. If argument EXTRACT_CONTAMINATION=true the resulting samplename will be \"<SAMPLE>-contamination\" (if not provided).", optional=true) public String SAMPLE_ALIAS

### LOCUS_MAX_READS

@Argument(doc="The maximum number of reads to use as evidence for any given locus. This is provided as a way to limit the effect that any given locus may have.") public int LOCUS_MAX_READS

### EXTRACT_CONTAMINATION

@Argument(doc="Extract a fingerprint for the contaminating sample (instead of the contaminated sample). Setting to true changes the effect of SAMPLE_ALIAS when null. It names the sample in the VCF <SAMPLE>-contaminant, using the SM value from the SAM header.") public boolean EXTRACT_CONTAMINATION

### TEST_INPUT_READABILITY

@Hidden @Argument(doc="When true code will check for readability on input files (this can be slow on cloud access)") public boolean TEST_INPUT_READABILITY

### EXTRACT_NON_REPRESENTATIVES_TOO

@Advanced @Argument(doc="When true, code will extract variants for every snp in the haplotype database, not only the representative one.") public boolean EXTRACT_NON_REPRESENTATIVES_TOO

## Constructor Details

### ExtractFingerprint

public ExtractFingerprint()

## Method Details

### requiresReference

protected boolean requiresReference()

Overrides:
  `requiresReference` in class `CommandLineProgram`

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.